version: '3.5'

services:
  frontend:
    build:
      context: "./frontend/"
    depends_on:
      - backend
    ports:
      - "8080:8080"
    env_file: .dev.env 
  backend:
    build:
      context: "./backend/"
    links:
      - db
    env_file: .dev.env  
    ports:
    - "5000:5000"
  db:
    image: mongo
    restart: always
    environment:
      MONGO_INITDB_ROOT_USERNAME: root
      MONGO_INITDB_ROOT_PASSWORD: example
    ports:
    - "27017:27017"    
  